diff -r e250da446676 src/Makeconf.in
--- a/src/Makeconf.in	Tue Jul 11 08:15:24 2017 -0400
+++ b/src/Makeconf.in	Tue Jul 11 11:07:30 2017 -0400
@@ -59,8 +59,6 @@
 MPATH = @mpath@
 OPATH = @opath@
 XPATH = @xpath@
-ALTMPATH = @altmpath@
-ALTOPATH = @altopath@
 
 %.o: %.c ; $(MKOCTFILE) -c $<
 %.o: %.f ; $(MKOCTFILE) -c $<
diff -r e250da446676 src/configure.base
--- a/src/configure.base	Tue Jul 11 08:15:24 2017 -0400
+++ b/src/configure.base	Tue Jul 11 11:07:30 2017 -0400
@@ -53,13 +53,9 @@
 test -z "$OCTAVE_CONFIG" &&	AC_MSG_WARN([no octave-config found on path])
 
 AC_SUBST(ver)
-AC_SUBST(subver)
 AC_SUBST(mpath)
 AC_SUBST(opath)
 AC_SUBST(xpath)
-AC_SUBST(altpath)
-AC_SUBST(altmpath)
-AC_SUBST(altopath)
 
 AC_ARG_WITH(path, 
 	[  --with-path             install path prefix],
@@ -73,83 +69,11 @@
 AC_ARG_WITH(xpath,
 	[  --with-xpath            override path for executables],
 	[xpath=$withval])
-AC_ARG_WITH(altpath, 
-	[  --with-altpath          alternative functions install path prefix],
-	[ altpath=$withval ])
-AC_ARG_WITH(altmpath,
-	[  --with-altmpath         override path for alternative m-files],
-	[altmpath=$withval])
-AC_ARG_WITH(altopath,
-	[  --with-altopath         override path for alternative oct-files],
-	[altopath=$withval])	
 
 if test -n "$path" ; then
    test -z "$mpath" && mpath=$path 
    test -z "$opath" && opath=$path/oct 
    test -z "$xpath" && xpath=$path/bin
-   test -z "$altpath" && altpath=$path-alternatives
-fi
-
-if test -n "$altpath" ; then
-   test -z "$altmpath" && altmpath=$altpath 
-   test -z "$altopath" && altopath=$altpath/oct 
-fi
-
-dnl Don't query if path/ver are given in the configure environment
-#if test -z "$mpath" || test -z "$opath" || test -z "$xpath" || test -z "$altmpath" || test -z "$altopath" || test -z "$ver" ; then
-if test -z "$mpath" || test -z "$opath" || test -z "$xpath" || test -z "$ver" ; then
-   dnl Construct program to get mkoctfile version and local install paths
-   cat > conftest.cc <<EOF
-#include <octave/oct.h>
-#include <octave/version.h>
-#include <octave/defaults.h>
-
-#define INFOV "\nINFOV=" OCTAVE_VERSION "\n"
-
-#define INFOH "\nINFOH=" OCTAVE_CANONICAL_HOST_TYPE "\n"
-
-#ifdef OCTAVE_LOCALVERFCNFILEDIR
-# define INFOM "\nINFOM=" OCTAVE_LOCALVERFCNFILEDIR "\n"
-#else
-# define INFOM "\nINFOM=" OCTAVE_LOCALFCNFILEPATH "\n"
-#endif
-
-#ifdef OCTAVE_LOCALVEROCTFILEDIR
-# define INFOO "\nINFOO=" OCTAVE_LOCALVEROCTFILEDIR "\n"
-#else
-# define INFOO "\nINFOO=" OCTAVE_LOCALOCTFILEPATH  "\n"
-#endif
-
-#ifdef OCTAVE_LOCALVERARCHLIBDIR
-# define INFOX "\nINFOX=" OCTAVE_LOCALVERARCHLIBDIR  "\n"
-#else
-# define INFOX "\nINFOX=" OCTAVE_LOCALARCHLIBDIR  "\n"
-#endif
-
-const char *infom = INFOM;
-const char *infoo = INFOO;
-const char *infox = INFOX;
-const char *infoh = INFOH;
-const char *infov = INFOV;
-EOF
-
-   dnl Compile program perhaps with a special version of mkoctfile
-   $MKOCTFILE conftest.cc || AC_MSG_ERROR(Could not run $MKOCTFILE)
-
-   dnl Strip the config info from the compiled file
-   eval `strings conftest.o | grep "^INFO.=" | sed -e "s,//.*$,,"`
-   rm -rf conftest*
-
-   dnl set the appropriate variables if they are not already set
-   ver=`echo $INFOV | sed -e "s/\.//" -e "s/\..*$//"`
-   subver=`echo $INFOV | sed -e "[s/^[^.]*[.][^.]*[.]//]"`
-   alt_mbase=`echo $INFOM | sed -e "[s,\/[^\/]*$,,]"`
-   alt_obase=`echo $INFOO | sed -e "[s,/site.*$,/site,]"`
-   test -z "$mpath" && mpath=$INFOM/octave-forge
-   test -z "$opath" && opath=$INFOO/octave-forge
-   test -z "$xpath" && xpath=$INFOX
-   test -z "$altmpath" && altmpath=$alt_mbase/octave-forge-alternatives/m
-   test -z "$altopath" && altopath=$alt_obase/octave-forge-alternatives/oct/$INFOH
 fi
 
 dnl *******************************************************************
@@ -268,7 +192,10 @@
 
 dnl should check that $(OCTAVE) --version matches $(MKOCTFILE) --version
 AC_CHECK_PROG(OCTAVE,octave,octave)
+
 OCTAVE_CONFIG_EVAL(VERSION,OCTAVE_VERSION)
+dnl get major ver part as used for a HAVE_OCTAVE_XXX define
+ver=`echo $OCTAVE_VERSION | sed -e "s/\.//" -e "s/\..*$//"`
 
 dnl grab canonical host type so we can write system specific install stuff
 OCTAVE_CONFIG_EVAL(CANONICAL_HOST_TYPE,canonical_host_type)
@@ -276,6 +203,16 @@
 dnl grab SHLEXT from octave config
 OCTAVE_CONFIG_EVAL(SHLEXT,SHLEXT)
 
+if test -z "$mpath"; then
+OCTAVE_CONFIG_EVAL(LOCALVERFCNFILEDIR,mpath)
+fi
+if test -z "$opath"; then
+OCTAVE_CONFIG_EVAL(LOCALVEROCTFILEDIR,opath)
+fi
+if test -z "$xpath"; then
+OCTAVE_CONFIG_EVAL(LOCALVERARCHLIBDIR,xpath)
+fi
+
 AC_PROG_LN_S
 
 AC_PROG_RANLIB
@@ -348,9 +285,6 @@
    m-files:   $mpath
    oct-files: $opath
    binaries:  $xpath
-alternatives:
-   m-files:   $altmpath
-   oct-files: $altopath
 
 shell commands will install into the following directories:
    binaries:  $bindir
diff -r caf31352f49e src/__COM__.cc
--- a/src/__COM__.cc	Tue Jul 11 12:46:02 2017 -0400
+++ b/src/__COM__.cc	Mon Jul 17 11:50:43 2017 -0400
@@ -151,6 +151,8 @@
 
 	bool is_defined(void) const { return true; }
 
+	bool isobject (void) const { return true; }
+
 	bool is_map (void) const { return true; }
 
 	string_vector map_keys(void) const;
